Story:
- Regularly scrolling through x.
- Wondering which AI research guy Meta might poach next.
At first sight, this just seemed like another hiring post to me. But wait, that's an elegant graph! I should probably still click the link...what if it's about trees? :D
And so I did. The link landed me on a clean page with only one problem, and it is indeed a graph theory one.
Here I am, typing the LaTeX down for you to enjoy the problem :)
After spending 10 minutes trying to understand the task, 60 minutes thinking about it, 30 minutes writing down my solution — and 1 second realizing it was wrong, I have to admit that this is a challenging (and elegant) problem.
Yet, it’s just like one of those competitive programming problems on Codeforces (you’ll see if you read it!), the kind I simply enjoy thinking about.
Now this is just a boring story about me, why am I bothering to post it on Codeforces?
I have applied to internships/jobs before, and for each and every one of those applications, I was required to fill in a bunch of lengthy questions (e.g. how do you handle project collaboration? min: 300 words), which I hate doing. I believe this applies for the majority of you who are reading this as well.
But this job hiring process is different. It was the first time when I actually enjoyed the application process: You get to solve an interesting task, and they will read your thinking process and decide to move you directly to the last round of the process.
Here we were being evaluated based on how we think, not on how fancy our resumes look. This is what job hiring processes should be like. This is also what I hope to foster through writing this post (by making more people hear about this!).
Appreciate you reading this, let's hope we can get to solve algorithmic problems instead of filling job forms in the future :)
Here's what happened next in my story, if you're curious!











Answer removed since people just want to downvote
find the answer your self
alr bro ur getting in to the company, how am i supposed to compete against this
I am currently seeking job, where can I find more of these challenges? Also should I do these?
You might say at X, but I'm not sure how to subscribe to the appropriate accounts.
It's currently early morning here, I have read the problem, but I will be busy today, I might come back today evening/tomorrow.
This is the only one I've seen so far, which is why I'm also posting it and hoping for more companies to follow.
If you are looking for a job, I would definitely recommend you to try this out. Tilde research is a pretty awesome startup.
okay, will do.
also zometimes I feel like my resume is not getting through HR.
best of luck!
btw you can just use AI for these types of questions
They should do this thing offline, a.k.a. put candidates in a real room and give them a contest
That's pretty much an onsite technical interview, and while it works alright in identifying decent candidates, it takes a lot of resources. So a lot of companies use online assessments (kind of like the thing OP is describing) to select people for the onsite interviews. Since cheating is easier online, in certain regions with a lot of cheating, the OAs end up being a lot harder than the actual interview. So perhaps the first round could be something in between an OA and an onsite interview, where hundreds of candidates go to an actual building and get monitored while taking the coding test. That would certainly leave better candidates for the onsites, but I'm not actually sure if the cheating is a huge problem. Even now, it seems like the companies end up hiring good enough devs, at least on the surface.
"Certain regions" LOL
Does anyone have a "nice" formula? I ran a DP for $$$1\leq n \leq 7$$$, and the answers are
Notice that the 7-th value does not fit in a long long anymore :)
I think this range makes a lot of sense, I also get similar values (tho I didn't really calculate them).
Haven't heard about a "nice" formula yet, there might not even be one. Heard BossBobster (who interns there) say that most applicants couldn't solve the full problem, and some who got in just had creative solutions and communicated clearly.
but doesn't the answer should be a "nice" formula?
Express this count as an explicit function of n.$$$n$$$ can't even be $$$1$$$
Yes it can. Then its just an empty graph.
The problem says "for $$$n \geq 2$$$"
How does the 7-th dp value exceed the total number of induced subgraphs $$$2^{42}$$$?
Read the question again. It is about the line graph of the original graph, which is much larger.